org.springframework.web.socket.adapter.standard

## Class WebSocketToStandardExtensionAdapter

- java.lang.Object
- - org.springframework.web.socket.adapter.standard.WebSocketToStandardExtensionAdapter

All Implemented Interfaces:
  Extension

    public class WebSocketToStandardExtensionAdapter
    extends Object
    implements Extension

Adapt an instance of `WebSocketExtension` to the `Extension` interface.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.Extension

`Extension.Parameter`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketToStandardExtensionAdapter(WebSocketExtension extension)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`List<Extension.Parameter>` `getParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketToStandardExtensionAdapter

    public WebSocketToStandardExtensionAdapter(WebSocketExtension extension)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `Extension`

#### getParameters

    public List<Extension.Parameter> getParameters()

Specified by:
  `getParameters` in interface `Extension`